function y = PowerSplitter1_N(Input_optical,N)
%
% Usage: y = PowerSplitter1_N(Input_optical,N)
%
% Purpose = This module splits an optical input signal equally into N output ports.
%
% Input Signal(Input_optical) = Optical Filed Signal
%
% Output Signal(y) = Optical Field Signals, No additional phase information is added. 
%
%
%------------------------------------------------------------
% $ Revision: 1.0 $ Date: 2011/02/22 by Jong-Hyung Lee  
%------------------------------------------------------------
%
%===============================================================================

for k=1:N
    y(k,:)=Input_optical/sqrt(N);
end

