function y = infobits_PRBS(PreSpaces,PostSpaces)
%
% Usage: y = infobits_PRBS(PreSpaces,PostSpaces)
%
% Purpose = This module generates pseudo random data sequences.
%
% Input Signal = Not required.
% Output Signal = Random binary sequence
%
% ===  Parameters =====
% PreSpaces = Number of leading zero bits 
%           = 2 (default)
% PostSpaces = Number of trailing zero bits
%            = 2 (default)
%
% Bits(bit number) should be larger than (PreSpaces+PostSpaces). 
%
%----------------------------------------------------------
% $ Revision: 1.1 $ Date: 2011/02/22 by Jong-Hyung Lee  
%------------------------------------------------------------
%
%===============================================================================
global Bits

if nargin<2,
   PostSpaces = 2;
end

if nargin<1,
   PreSpaces = 2;
end

nn = Bits-PreSpaces-PostSpaces;
if nn <= 0,fprintf('Bits(bit number) should be larger than (PreSpaces+PostSpaces)!'); return; end

y = [zeros(1,PreSpaces) round(rand(1,Bits-PreSpaces-PostSpaces)) zeros(1,PostSpaces)];
